<?php 

defined('ABSPATH') or die("No direct script access!");

/*********************************************
 * Display make your offer now button  on the frontend by shortcode
 *********************************************/
add_shortcode('qcld_bargain', 'qcld_minimum_accept_price_display_button_field_by_shortcode');
if (!function_exists('qcld_minimum_accept_price_display_button_field_by_shortcode')){

	function qcld_minimum_accept_price_display_button_field_by_shortcode($atts){

	 	extract(shortcode_atts(
	        array(
	            'product_id' => '',
	            'button_text' => '',
                'lightbox' => ''
	        ), $atts
	    ));

	 	if (is_admin()) {
	 		return;
	 	}

	 	global $post;

	 	if(empty($product_id)){
	 		$button_text = get_option('qcld_minimum_accept_modal_shortcode_id_empty_text');
	 		$html =  '<div class="woo_minimum_accept_price-field-wrapper woo_minimum_accept_price-shortcode"><button type="button" id="woo_minimum_accept_price-field" class="woo_minimum_accept_price-bargin-modals" product_id="">'.esc_html( $button_text ).'</button></div>';

            echo $html;
            return;
	 	}

	 	// Check for the minimum price value
	 	$product 		= wc_get_product( $product_id );
	 	$price 			= $product->get_meta( 'qcld_minimum_acceptable_price' );
        $button_text    = $button_text ? $button_text : get_option('qcld_minimum_accept_price_button_text');
        $product_id     = $product_id;

        if( !$product->is_in_stock() ) {
            return;
        }

	 	$qcld_minimum_accept_product_exclude 	= get_option('qcld_minimum_accept_product_exclude');
        if(!empty($qcld_minimum_accept_product_exclude)){
            if( $product->is_on_sale() ) {
                return;
            }
        }

        $qcld_minimum_accept_allow_only_logged_in_user    = get_option('qcld_minimum_accept_allow_only_logged_in_user');
        if(!empty($qcld_minimum_accept_allow_only_logged_in_user)){
            if ( is_user_logged_in() != 'true') {
                return;
            }
        }

        // qcld_minimum_accept_product_discount_for_all_enable
        $qcld_minimum_accept_product_discount_for_all_enable    = get_option('qcld_minimum_accept_product_discount_for_all_enable');
        $qcld_minimum_accept_product_discount_price    = get_option('qcld_minimum_accept_product_discount_price');

        $qcld_minimum_accept_random_discount_for_all_enable    = get_option('qcld_minimum_accept_random_discount_for_all_enable');
        $qcld_minimum_accept_random_min_discount_price    = get_option('qcld_minimum_accept_random_min_discount_price');
        $qcld_minimum_accept_random_max_discount_price    = get_option('qcld_minimum_accept_random_max_discount_price');

        if(get_option('qcld_minimum_accept_price_enable') == '1'){

	 	
            if ( !class_exists('qcld_wb_Chatbot') && !class_exists('QCLD_Woo_Chatbot')) {

                if(  $product->is_type( 'variable' ) && ((qcld_map_is_check_variations_minimu_price($product_id) == true )  || (!empty($qcld_minimum_accept_product_discount_for_all_enable) && !empty($qcld_minimum_accept_product_discount_price) ) || (!empty($qcld_minimum_accept_random_discount_for_all_enable) && !empty($qcld_minimum_accept_random_min_discount_price) && !empty($qcld_minimum_accept_random_max_discount_price) ) ) ){


                    $html =  '<div class="woo_minimum_accept_price-field-wrapper woo_minimum_accept_price-shortcode"><button type="button" id="woo_minimum_accept_price-field" class="woo_minimum_accept_price-bargin-modal" product_id="'. esc_attr( $product_id ).'">'.qcld_map_icon_left().' '.esc_html( $button_text ).' '.qcld_map_icon_right().'</button></div>';
                    
                    $html .= qcld_woo_bargin_product_modal($product_id);
                    
                }else{

                    if( $price || (!empty($qcld_minimum_accept_product_discount_for_all_enable) && !empty($qcld_minimum_accept_product_discount_price) ) || (!empty($qcld_minimum_accept_random_discount_for_all_enable) && !empty($qcld_minimum_accept_random_min_discount_price) && !empty($qcld_minimum_accept_random_max_discount_price) ) ) {

                        $html =  '<div class="woo_minimum_accept_price-field-wrapper woo_minimum_accept_price-shortcode"><button type="button" id="woo_minimum_accept_price-field" class="woo_minimum_accept_price-bargin-modal" product_id="'. esc_attr( $product_id ).'">'.qcld_map_icon_left().' '.esc_html( $button_text ).' '.qcld_map_icon_right().'</button></div>';

                        $html .= qcld_woo_bargin_product_modal($product_id);

                    }

                }

                echo $html;


            }else{

                $qcld_minimum_accept_product_lightbox_modal  = get_option('qcld_minimum_accept_product_lightbox_modal');

                $qcld_minimum_accept_product_lightbox_modal  = (isset($lightbox) && !empty($lightbox) ) ? '' : $qcld_minimum_accept_product_lightbox_modal;

                if(!empty($qcld_minimum_accept_product_lightbox_modal)){

                    if(  $product->is_type( 'variable' ) && ((qcld_map_is_check_variations_minimu_price($product_id) == true )  || (!empty($qcld_minimum_accept_product_discount_for_all_enable) && !empty($qcld_minimum_accept_product_discount_price) ) || (!empty($qcld_minimum_accept_random_discount_for_all_enable) && !empty($qcld_minimum_accept_random_min_discount_price) && !empty($qcld_minimum_accept_random_max_discount_price) ) ) ){

                        $html =  '<div class="woo_minimum_accept_price-field-wrapper woo_minimum_accept_price-shortcode"><button type="button" id="woo_minimum_accept_price-field" class="woo_minimum_accept_price-bargin-modal" product_id="'. esc_attr( $product_id ).'">'.qcld_map_icon_left().' '.esc_html( $button_text ).' '.qcld_map_icon_right().'</button></div>';

                        $html .= qcld_woo_bargin_product_modal($product_id);
                        
                    }else{

                        if( $price || (!empty($qcld_minimum_accept_product_discount_for_all_enable) && !empty($qcld_minimum_accept_product_discount_price) ) || (!empty($qcld_minimum_accept_random_discount_for_all_enable) && !empty($qcld_minimum_accept_random_min_discount_price) && !empty($qcld_minimum_accept_random_max_discount_price) ) ) {

                            $html =  '<div class="woo_minimum_accept_price-field-wrapper woo_minimum_accept_price-shortcode"><button type="button" id="woo_minimum_accept_price-field" class="woo_minimum_accept_price-bargin-modal" product_id="'. esc_attr( $product_id ).'">'.qcld_map_icon_left().' '.esc_html( $button_text ).' '.qcld_map_icon_right().'</button></div>';

                            $html .= qcld_woo_bargin_product_modal($product_id);

                        }
                    }

                    echo $html;

                }else{

                    if( $price || (!empty($qcld_minimum_accept_product_discount_for_all_enable) && !empty($qcld_minimum_accept_product_discount_price) ) || (!empty($qcld_minimum_accept_random_discount_for_all_enable) && !empty($qcld_minimum_accept_random_min_discount_price) && !empty($qcld_minimum_accept_random_max_discount_price) ) ) {

                        printf('<div class="woo_minimum_accept_price-field-wrapper"><button type="button" id="woo_minimum_accept_price-field" class="woo_minimum_accept_price-bargin" product_id="%s">%s %s %s</button></div>',  esc_attr( $product_id ),qcld_map_icon_left(), esc_html( $button_text ), qcld_map_icon_right()
                        );

                    }elseif(  $product->is_type( 'variable' ) && ((qcld_map_is_check_variations_minimu_price($product_id) == true )  || (!empty($qcld_minimum_accept_product_discount_for_all_enable) && !empty($qcld_minimum_accept_product_discount_price) ) || (!empty($qcld_minimum_accept_random_discount_for_all_enable) && !empty($qcld_minimum_accept_random_min_discount_price) && !empty($qcld_minimum_accept_random_max_discount_price) ) ) ){

                        $html =  '<div class="woo_minimum_accept_price-field-wrapper"><button type="button" id="woo_minimum_accept_price-field" class="woo_minimum_accept_price-bargin" product_id="'. esc_attr( $product_id ).'">'.qcld_map_icon_left().' '.esc_html( $button_text ).' '.qcld_map_icon_right().'</button></div>';

                        echo $html;
                        
                    }

                }

            }
        

	 	}


	}


}

