<?php 

defined('ABSPATH') or die("No direct script access!");



/*********************************************
 * Display make your offer now button  on the front end
 *********************************************/
if (!function_exists('qcld_minimum_accept_price_display_shop_loop_button_field')){

	function qcld_minimum_accept_price_display_shop_loop_button_field( $add_to_cart_html, $product ){
	 	//global $post;

    	$html = do_shortcode('[qcld_bargain_shop product_id="'.$product->get_id().'"]');

        echo  $add_to_cart_html .$html;

    }

    $qcld_minimum_accept_price_enable = get_option('qcld_minimum_accept_price_enable');
    $qcld_minimum_accept_price_enable_shop_page = get_option('qcld_minimum_accept_price_enable_shop_page');
    $qcld_minimum_accept_shop_price_button_position = get_option('qcld_minimum_accept_shop_price_button_position');

    if( $qcld_minimum_accept_price_enable == '1' &&  $qcld_minimum_accept_price_enable_shop_page == '1' && ($qcld_minimum_accept_shop_price_button_position == '' || $qcld_minimum_accept_shop_price_button_position == 'qcld_add_to_cart_button' ) ){

        add_filter( 'woocommerce_loop_add_to_cart_link', 'qcld_minimum_accept_price_display_shop_loop_button_field', 100, 2 );

    }

}


$accept_price_enable = get_option('qcld_minimum_accept_price_enable');
$price_enable_shop_page = get_option('qcld_minimum_accept_price_enable_shop_page');
$shop_price_button_position = get_option('qcld_minimum_accept_shop_price_button_position');

if (!function_exists('qcld_minimum_accept_price_display_shop_loop_visible')){
    function qcld_minimum_accept_price_display_shop_loop_visible(){
        global $post;

        $html = do_shortcode('[qcld_bargain_shop product_id="'.$post->ID.'"]');

        echo $html;
    }
}

if( $accept_price_enable == '1' &&  $price_enable_shop_page == '1' &&  $shop_price_button_position == 'qcld_before_product_title'  ){
add_action('woocommerce_before_shop_loop_item_title', 'qcld_minimum_accept_price_display_shop_loop_visible', 1000 );
}
if( $accept_price_enable == '1' &&  $price_enable_shop_page == '1' &&  $shop_price_button_position == 'qcld_after_product_title'  ){
add_action('woocommerce_after_shop_loop_item_title', 'qcld_minimum_accept_price_display_shop_loop_visible', 1000 );
}
if( $accept_price_enable == '1' &&  $price_enable_shop_page == '1' &&  $shop_price_button_position == 'qcld_item_product_title'  ){
add_action('woocommerce_shop_loop_item_title', 'qcld_minimum_accept_price_display_shop_loop_visible', 1000 );
}

//Loading frontend style & scripts based on the above condition.
if (!function_exists('qcld_bargain_load_front_shop_loop_scripts')){
function qcld_bargain_load_front_shop_loop_scripts(){

    $qcld_minimum_accept_price_enable = get_option('qcld_minimum_accept_price_enable');
    $qcld_minimum_accept_price_enable_shop_page = get_option('qcld_minimum_accept_price_enable_shop_page');

    if( $qcld_minimum_accept_price_enable == '1' &&  $qcld_minimum_accept_price_enable_shop_page == '1' ){

        global $post;

        // Check for the minimum price value
        $product  = wc_get_product( $post->ID );
        
        //Styles
        wp_enqueue_style( 'qcld_bargain_fontawesome_css', QCLD_MAP_PLUGIN_URL . 'css/font-awesome.min.css');
        wp_enqueue_style( 'qcld_bargain_animate_css', QCLD_MAP_PLUGIN_URL . 'css/wpbot-map-animate.css');
        wp_enqueue_style( 'qcld_bargain_front_custom_css', QCLD_MAP_PLUGIN_URL . 'css/wpbot-minimum-acceptable-price-custom-front.css');

        $qlcd_map_chatbot_custom_global_css   = str_replace('\\', '',get_option('qlcd_map_chatbot_custom_global_css'));

        wp_add_inline_style( 'qcld_bargain_front_custom_css', $qlcd_map_chatbot_custom_global_css );

       // if ( is_shop() ){

            wp_enqueue_style( 'qcld_bargain_magnific_popup_css', QCLD_MAP_PLUGIN_URL . 'css/wpbot-map-magnific-popup.css');
            wp_enqueue_script( 'qcld_bargain_magnific_popup_js', QCLD_MAP_PLUGIN_URL . 'js/wpbot-jquery.magnific-popup.min.js', array('jquery'));
            
      //  }

        //Scripts
        wp_enqueue_script( 'jquery', 'jquery');

        wp_enqueue_script( 'qcld_bargain_cookie_js', QCLD_MAP_PLUGIN_URL . 'js/wpbot-jquery.cookie.js', array('jquery'));

        // checking product is in stock
        /*if(is_shop() && !$product->is_in_stock()) {
            return;
        }*/

        /*$qcld_minimum_accept_product_exclude    = get_option('qcld_minimum_accept_product_exclude');
        if(!empty($qcld_minimum_accept_product_exclude)){
            if(is_shop() && $product->is_on_sale() ) {
                return;
            }
        }*/

        $exit_intent_check_for_validate_page = 'false';

       /* if(  ( is_shop() && $product->is_type( 'simple' ) ) || ( is_shop() && $product->is_type( 'variable' ) ) ){

            $exit_intent_check_for_validate_page = 'true';
        }*/


    if( function_exists('is_woocommerce') ) {
        $suffix               = defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG ? : '.min';
        $lightbox_en          = 'yes' === get_option( 'woocommerce_enable_lightbox' );
        $ajax_cart_en         = 'yes' === get_option( 'woocommerce_enable_ajax_add_to_cart' );
        $assets_path          = str_replace( array( 'http:', 'https:' ), '', WC()->plugin_url() ) . '/assets/';
        $frontend_script_path = $assets_path . 'js/frontend/';

        wp_enqueue_script( 'wc-cart', $frontend_script_path . 'cart' . $suffix . '.js', array( 'jquery', 'wc-country-select', 'wc-address-i18n' ) );

        wp_localize_script('wc-cart', 'wc_cart_params', apply_filters('wc_cart_params', array(
            'ajax_url' => WC()->ajax_url() ,
            'wc_ajax_url' => WC_AJAX::get_endpoint(' %%endpoint%%') ,
            'ajax_loader_url' => apply_filters('woocommerce_ajax_loader_url', $assets_path . 'images / ajax - loader@2x . gif') ,
            'update_shipping_method_nonce' => wp_create_nonce('update-shipping-method') ,
        )));

        wp_enqueue_script( 'wc-checkout', $frontend_script_path . 'checkout' . $suffix . '.js', array( 'jquery', 'wc-address-i18n' ) );

        wp_localize_script('wc-checkout', 'wc_checkout_params', apply_filters('wc_checkout_params', array(
            'ajax_url'                  => WC()->ajax_url(),
            'wc_ajax_url'               => WC_AJAX::get_endpoint( '%%endpoint%%' ),
            'update_order_review_nonce' => wp_create_nonce( 'update-order-review' ),
            'apply_coupon_nonce'        => wp_create_nonce( 'apply-coupon' ),
            'remove_coupon_nonce'       => wp_create_nonce( 'remove-coupon' ),
            'option_guest_checkout'     => get_option( 'woocommerce_enable_guest_checkout' ),
            'checkout_url'              => WC_AJAX::get_endpoint( 'checkout' ),
            'is_checkout'               => is_checkout() && empty( $wp->query_vars['order-pay'] ) && ! isset( $wp->query_vars['order-received'] ) ? 1 : 0,
            'debug_mode'                => defined( 'WP_DEBUG' ) && WP_DEBUG,
            'i18n_checkout_error'       => esc_attr__( 'Error processing checkout. Please try again.', 'woocommerce' ),
        )));

        wp_enqueue_script( 'wc-add-to-cart-variation', $frontend_script_path . 'add-to-cart-variation' . $suffix . '.js', array( 'jquery', 'wp-util', 'jquery-blockui' ) );
        
        wp_localize_script('wc-add-to-cart-variation', 'wc_add_to_cart_variation_params', apply_filters('wc_add_to_cart_variation_params', array(
            'wc_ajax_url'                      => WC_AJAX::get_endpoint( '%%endpoint%%' ),
            'i18n_no_matching_variations_text' => esc_attr__( 'Sorry, no products matched your selection. Please choose a different combination.', 'woocommerce' ),
            'i18n_make_a_selection_text'       => esc_attr__( 'Please select some product options before adding this product to your cart.', 'woocommerce' ),
            'i18n_unavailable_text'            => esc_attr__( 'Sorry, this product is unavailable. Please choose a different combination.', 'woocommerce' ),
        )));

        wp_enqueue_style('select2');
        wp_enqueue_script('select2');
        wp_enqueue_script( 'wc-country-select' );
    }

        wp_enqueue_script( 'qcld_bargain_custom_js', QCLD_MAP_PLUGIN_URL . 'js/wpbot-minimum-acceptable-price-custom.js', array('jquery'));

        $page_check = is_single();

        wp_add_inline_script( 'qcld_bargain_custom_js', 
            'var qcld_map_ajaxurl = "' . admin_url('admin-ajax.php') . '"; 
             var qcld_map_ajax_nonce = "'.wp_create_nonce( 'woo-minimum-acceptable-price' ).'";  
             var qcld_map_currency_symbol = "'.get_woocommerce_currency_symbol().'";  
             var qcld_map_your_offer_price = "'.esc_html(get_option('qcld_minimum_accept_price_heading_text')).'";  
             var qcld_map_your_low_price_alert = "'.esc_html(get_option('qcld_minimum_accept_price_low_alert_text_two')).'";  
             var qcld_map_your_too_low_price_alert = "'.esc_html(get_option('qcld_minimum_accept_price_too_low_alert_text')).'";  
             var qcld_map_talk_to_boss = "'.esc_html(get_option('qcld_minimum_accept_price_talk_to_boss')).'";  
             var qcld_map_get_email_address = "'.esc_html(get_option('qcld_minimum_accept_price_get_email_address')).'";  
             var qcld_map_get_phone_number = "'.esc_html(get_option('qcld_minimum_accept_price_get_phone_number')).'";  
             var qcld_map_thanks_test = "'.esc_html(get_option('qcld_minimum_accept_price_thanks_test')).'";  
             var map_acceptable_price = "'.esc_html(get_option('qcld_minimum_accept_price_acceptable_price')).'"; 
             var map_acceptable_prev_price = "'.esc_html(get_option('qcld_minimum_accept_price_acceptable_prev_price')).'";  
             var qcld_map_price_negotiating_test = "'.esc_html(get_option('qcld_minimum_accept_price_negotiating_test')).'";  
             var qcld_map_modal_submit_button = "'.esc_html(get_option('qcld_minimum_accept_modal_submit_button_text')).'";  
             var qcld_map_pro_added_to_cart_msg = "'.esc_html(get_option('qcld_minimum_accept_congratulations_added_to_cart_msg')).'";  
             var qcld_map_pro_checkout_now_button_text = "'.esc_html(get_option('qcld_minimum_accept_modal_checkout_now_button_text')).'";  
             var qcld_map_pro_exit_intent = "'.esc_html(get_option('qcld_minimum_accept_product_exit_intent_single_page')).'";  
             var qcld_map_pro_one_per_visit = "'.esc_html(get_option('qcld_minimum_accept_product_exit_intent_one_per_visit')).'";  
             var qcld_map_pro_get_checkout_url = "'.wc_get_checkout_url().'";  
             var qcld_map_pro_get_is_product = "'.is_product().'";  
             var exit_intent_check_for_validate_page = "'.$exit_intent_check_for_validate_page.'";  
             var qcld_map_pro_get_ajax_nonce = "'.wp_create_nonce( 'woo-minimum-acceptable-price').'";  
             var qcld_minimum_accept_price_enable = "'.esc_html(get_option('qcld_minimum_accept_price_enable')).'";  
             var qcld_minimum_accept_modal_yes_button_text = "'.esc_html(get_option('qcld_minimum_accept_modal_yes_button_text')).'";  
             var qcld_minimum_accept_modal_no_button_text = "'.esc_html(get_option('qcld_minimum_accept_modal_no_button_text')).'";  
             var qcld_minimum_accept_modal_or_button_text = "'.esc_html(get_option('qcld_minimum_accept_modal_or_button_text')).'"; 
             var qcld_minimum_accept_price_symbol_position = "'.esc_html(get_option('qcld_minimum_accept_price_symbol_position')).'";  
             var qcld_bargain_allowed_times = "'.esc_html(get_option('qcld_minimum_accept_bargain_allowed_times')).'";  
             var qcld_bargain_allowed_max_times = "'.esc_html(get_option('qcld_minimum_accept_bargain_max_allowed_times')).'";  
             var qcld_bargain_allowed_max_text = "'.esc_html(get_option('qcld_minimum_accept_bargain_max_allowed_text')).'";  
             var qcld_disable_email = "'.esc_html(get_option('qcld_minimum_accept_product_disable_email')).'";  
             var qcld_enable_phone = "'.esc_html(get_option('qcld_minimum_accept_product_disable_phone')).'";  
             var qcld_minimum_accept_min_quantity = "'.(esc_html(get_option('qcld_minimum_accept_minimum_quantity')) ? esc_html(get_option('qcld_minimum_accept_minimum_quantity')) : 1).'";  
             var qcld_minimum_accept_min_qty_req_text = "'.esc_html(get_option('qcld_minimum_accept_min_qty_req_text')).'";  
             var qcld_minimum_accept_enable_minimum_quantity = "'.esc_html(get_option('qcld_minimum_accept_enable_minimum_quantity')).'";  
             var qcld_minimum_accept_skip_add_to_cart = "'.esc_html(get_option('qcld_minimum_accept_skip_add_to_cart')).'";  
             var qcld_minimum_accept_minimum_user_limit_enable = "'.esc_html(get_option('qcld_minimum_accept_minimum_user_limit_enable')).'";  
             var qcld_minimum_accept_minimum_user_limit = "'.esc_html(get_option('qcld_minimum_accept_bargain_max_allowed_times')).'";  
             var qcld_minimum_accept_minimum_user_limit_msg_text = "'.esc_html(get_option('qcld_minimum_accept_minimum_user_limit_msg_text')).'";  
             var qcld_minimum_accept_minimum_click_for_use_phone_text = "'.esc_html(get_option('qcld_minimum_accept_minimum_click_for_use_phone_text')).'";  
             var qcld_minimum_accept_minimum_click_for_use_email_text = "'.esc_html(get_option('qcld_minimum_accept_minimum_click_for_use_email_text')).'";  
             var qcld_minimum_accept_minimum_page_check = "'.$page_check.'";  
               
             ', 'before');

    }


}
}
//add_action('wp_enqueue_scripts', 'qcld_bargain_load_front_shop_loop_scripts');




add_shortcode('qcld_bargain_shop', 'qcld_minimum_accept_price_shop_display_button_field_by_shortcode');
if (!function_exists('qcld_minimum_accept_price_shop_display_button_field_by_shortcode')){

    function qcld_minimum_accept_price_shop_display_button_field_by_shortcode($atts){

        extract(shortcode_atts(
            array(
                'product_id' => '',
                'button_text' => '',
            ), $atts
        ));

        if( is_admin() ){
            return;
        }

        qcld_bargain_load_front_shop_loop_scripts();

        // Check for the minimum price value
        $product        = wc_get_product( $product_id );
        $price          = $product->get_meta( 'qcld_minimum_acceptable_price' );
        $button_text    = $button_text ? $button_text : get_option('qcld_minimum_accept_price_button_text');
        $product_id     = $product_id;

        if( !$product->is_in_stock() ) {
            return;
        }

        $qcld_minimum_accept_product_exclude    = get_option('qcld_minimum_accept_product_exclude');
        if(!empty($qcld_minimum_accept_product_exclude)){
            if( $product->is_on_sale() ) {
                return;
            }
        }

        $qcld_minimum_accept_allow_only_logged_in_user    = get_option('qcld_minimum_accept_allow_only_logged_in_user');
        if(!empty($qcld_minimum_accept_allow_only_logged_in_user)){
            if ( is_user_logged_in() != 'true') {
                return;
            }
        }


        // qcld_minimum_accept_product_discount_for_all_enable
        $qcld_minimum_accept_product_discount_for_all_enable    = get_option('qcld_minimum_accept_product_discount_for_all_enable');
        $qcld_minimum_accept_product_discount_price    = get_option('qcld_minimum_accept_product_discount_price');

        $qcld_minimum_accept_random_discount_for_all_enable    = get_option('qcld_minimum_accept_random_discount_for_all_enable');
        $qcld_minimum_accept_random_min_discount_price    = get_option('qcld_minimum_accept_random_min_discount_price');
        $qcld_minimum_accept_random_max_discount_price    = get_option('qcld_minimum_accept_random_max_discount_price');

        if(get_option('qcld_minimum_accept_price_enable') == '1'){


            if(  $product->is_type( 'variable' ) && ((qcld_map_is_check_variations_minimu_price($product_id) == true )  || (!empty($qcld_minimum_accept_product_discount_for_all_enable) && !empty($qcld_minimum_accept_product_discount_price) ) || (!empty($qcld_minimum_accept_random_discount_for_all_enable) && !empty($qcld_minimum_accept_random_min_discount_price) && !empty($qcld_minimum_accept_random_max_discount_price) ) ) ){

                $html =  '<div class="woo_minimum_accept_price-field-wrapper woo_minimum_accept_price-shortcode_shop_wrap"><button type="button" id="woo_minimum_accept_price-field" class="woo_minimum_accept_price-bargin-varialbe-modal_shop" product_id="'. esc_attr( $product_id ).'">'.qcld_map_icon_left().' '.esc_html( $button_text ).' '.qcld_map_icon_right().'</button></div>';

                echo $html;
               // $html .= qcld_woo_bargin_product_shop_modal($product_id);
                
            }else{

                if( $price || (!empty($qcld_minimum_accept_product_discount_for_all_enable) && !empty($qcld_minimum_accept_product_discount_price) ) || (!empty($qcld_minimum_accept_random_discount_for_all_enable) && !empty($qcld_minimum_accept_random_min_discount_price) && !empty($qcld_minimum_accept_random_max_discount_price) ) ) {

                    $html =  '<div class="woo_minimum_accept_price-field-wrapper woo_minimum_accept_price-shortcode_shop_wrap"><button type="button" id="woo_minimum_accept_price-field" class="woo_minimum_accept_price-bargin-modal_shop" product_id="'. esc_attr( $product_id ).'">'.qcld_map_icon_left().' '.esc_html( $button_text ).' '.qcld_map_icon_right().'</button></div>';

                    $html .= qcld_woo_bargin_product_shop_modal($product_id);
                    
                    echo $html;

                }
            }

        

        }


    }


}



if (!function_exists('qcld_woo_bargin_product_shop_modal')){
function qcld_woo_bargin_product_shop_modal($product_id){

    $product_id     = $product_id;
    $product        = wc_get_product( $product_id ); // product_id

    $qcld_minimum_accept_price_button_text =  get_option('qcld_minimum_accept_price_button_text');
    $qcld_minimum_accept_price_heading_text =  get_option('qcld_minimum_accept_price_heading_text');
    $qcld_minimum_accept_modal_submit_button_text =  get_option('qcld_minimum_accept_modal_submit_button_text');
    
    $html = '';

    if(!empty($product_id)){
    $html .= '<div id="wpbot-map-product-wrap">';
    $html .= '<div id="wpbot-map-product-modal-'.$product_id.'" class="wpbot-map-product-modal-shop mfp-hide white-popup-block animated flipInX"><div id="wpbot-map-product">';

    $html .= '<div class="woo-chatbot-products-bargain-modal">';

        $html .= '<h5>'.esc_html($qcld_minimum_accept_price_button_text).'</h5>';

        // $image = get_the_post_thumbnail($product_id, 'shop_catalog');
        $image = $product->get_image('shop_catalog');
        if(empty($image)){
            $image = wc_placeholder_img( 'shop_catalog' );
        }
        // product details
        $html .= '<div class="woo-chatbot-product-modal">';
            $html .= '<div class="woo-chatbot-product-modal-img">';
            $html .= $image . '</div>
            <div class="woo-chatbot-product-bargain-modal">
            <h3 class="woo-chatbot-product-title-modal">' . esc_html($product->get_title()) . '</h3></div>
            <div class="woo-chatbot-product-price-modal">' . $product->get_price_html() . '</div>';
            
        $html .= '</div>';
        // bargin section
        $html .= '<div class="woo-chatbot-products-bargain-wrap">';
        $html .= '<div class="woo-chatbot-products-bargain-content">';
        $html .= '<h4>'.esc_html($qcld_minimum_accept_price_heading_text).'</h4>';
        $html .= '</div>';
        $html .= '<div  class="woo-chatbot-products-bargain-info">';
           
        $html .= '<input type="number" name="woo-chatbot-product-bargain-price" class="woo-chatbot-product-bargain-price" placeholder="'.esc_attr(get_woocommerce_currency_symbol()).'">';
        $html .= '<div class="woo-chatbot-product-bargain-msg"></div>';
        $html .= '<button type="button" class="woo-chatbot-product-bargain-shop-submit" product-id="'.esc_attr($product_id).'">'.esc_html($qcld_minimum_accept_modal_submit_button_text).' </button>';
        $html .= '</div>';
        $html .= '</div>';
    
    $html .= '</div>';
    $html .= '</div>';
    $html .= '</div></div>';

    }else{

        $html .= '<div class="woo-chatbot-products-area">';
        $html .= '<p>' . esc_html_e('You have no products', 'woo-minimum-acceptable-price') . ' !';
        $html .= '</div>';
    }
   
    return $html;

}
}


//variation for variable product
//add_action( 'qcld_woo_bargin_product_variation', 'woocommerce_template_single_price');
add_action( 'qcld_woo_bargin_product_variation', 'woocommerce_template_single_add_to_cart');

//Get bargin products
add_action('wp_ajax_qcld_woo_bargin_product_variation_shop_page', 'qcld_woo_map_bargin_product_variation_shop_page');
add_action('wp_ajax_nopriv_qcld_woo_bargin_product_variation_shop_page', 'qcld_woo_map_bargin_product_variation_shop_page');
if (!function_exists('qcld_woo_map_bargin_product_variation_shop_page')){
function qcld_woo_map_bargin_product_variation_shop_page(){

    check_ajax_referer( 'woo-minimum-acceptable-price', 'security');

    $product_id     = isset($_POST['qcld_woo_map_product_id']) ? trim(sanitize_text_field($_POST['qcld_woo_map_product_id'])) : '';
    $variation_id   = isset($_POST['qcld_woo_map_variation_id']) ? trim(sanitize_text_field($_POST['qcld_woo_map_variation_id'])) : 0;
    $product_get_id = $variation_id ? $variation_id : $product_id;
    $product        = wc_get_product( $product_get_id ); // product_id
    

    $qcld_minimum_accept_price_button_text =  get_option('qcld_minimum_accept_price_button_text');
    $qcld_minimum_accept_price_heading_text =  get_option('qcld_minimum_accept_price_heading_text');
    $qcld_minimum_accept_modal_submit_button_text =  get_option('qcld_minimum_accept_modal_submit_button_text');
    $qcld_minimum_accept_modal_variation_text =  get_option('qcld_minimum_accept_modal_variation_text');

    ob_start();

    $html = '';
    
    if(!empty($product_id)){

        // $image = get_the_post_thumbnail($product_id, 'shop_catalog');
        $image = $product->get_image('shop_catalog');
        if(empty($image)){
            $image = woocommerce_placeholder_img( 'shop_catalog' );
        }

    ?>
    <div id="wpbot-map-product-wrap" >
        <div id="wpbot-map-product-modal-<?php echo $product_id; ?>" class="wpbot-map-product-modal-shop mfp-hide white-popup-block animated flipInX">

        <div id="wpbot-map-product">

            <div class="woo-chatbot-products-bargain-modal">

                <h5><?php echo esc_html($qcld_minimum_accept_price_button_text); ?></h5>

                <div class="woo-chatbot-product-modal">
                    <div class="woo-chatbot-product-modal-img"><?php echo $image; ?></div>
                    <div class="woo-chatbot-product-bargain-modal">
                        <h3 class="woo-chatbot-product-title-modal"><?php echo esc_html($product->get_title()); ?></h3>
                    </div>
                    <div class="woo-chatbot-product-price-modal"><?php echo $product->get_price_html(); ?></div>
                </div>

                <div class="woo-chatbot-products-bargain-wrap">
                    <div class="woo-chatbot-products-bargain-content">
                        <h4><?php echo esc_html($qcld_minimum_accept_price_heading_text); ?></h4>
                    </div>
                    <div  class="woo-chatbot-products-bargain-info">

                <?php
                    global $woocommerce;

                    $suffix  = defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG ? '' : '.min';

                    global $post;
                    if(intval($product_id)) {

                        wp('p=' . $product_id . '&post_type=product');

                        while (have_posts()) : the_post(); ?>
                            <script id="qcld_sample" type="text/javascript">

                                localStorage.setItem("qcld_modal_js",  true );
                                var qcld_modal_js = localStorage.getItem("qcld_modal_js");

                               // if(qcld_modal_js){
                                    //var wc_add_to_cart_variation_params = {"ajax_url": "\/wp-admin\/admin-ajax.php"};
                                    jQuery.getScript("<?php echo $woocommerce->plugin_url(); ?>/assets/js/frontend/add-to-cart-variation.min.js");

                               // }
                              
                            </script>
                            <div class="woo-chatbot-product-variation-container">
                                <p class="woo-chatbot-product-variation-text"><?php echo esc_html( $qcld_minimum_accept_modal_variation_text ); ?></p>
                                <?php
                                    do_action('qcld_woo_bargin_product_variation');
                                ?>
                            </div>

                        <?php endwhile;
                    }
                    ?>

                        <div class="woo-chatbot-product-bargain-msg"></div>
                        <button type="button" class="woo-modal-product-bargain-variation-shop-submit" product-id="<?php echo esc_attr($product_id); ?>" variation-id="<?php echo esc_attr($variation_id); ?>"><?php echo esc_html($qcld_minimum_accept_modal_submit_button_text); ?> </button>
                    </div>
                </div>
        
            </div>
        </div>
    </div>

    <?php 
  
    }
   
    echo  ob_get_clean();
    exit();

}
}


//Get bargin products
add_action('wp_ajax_qcld_woo_bargin_product_variation_view', 'qcld_woo_bargin_product_variation_view');
add_action('wp_ajax_nopriv_qcld_woo_bargin_product_variation_view', 'qcld_woo_bargin_product_variation_view');
if (!function_exists('qcld_woo_bargin_product_variation_view')){
function qcld_woo_bargin_product_variation_view(){

    check_ajax_referer( 'woo-minimum-acceptable-price', 'security');

    $product_id     = isset($_POST['qcld_woo_map_product_id']) ? trim(sanitize_text_field($_POST['qcld_woo_map_product_id'])) : '';
    $variation_id   = isset($_POST['qcld_woo_map_variation_id']) ? trim(sanitize_text_field($_POST['qcld_woo_map_variation_id'])) : 0;
    $product_get_id = $variation_id ? $variation_id : $product_id;
    $product        = wc_get_product( $product_get_id ); // product_id
    

    $qcld_minimum_accept_price_button_text =  get_option('qcld_minimum_accept_price_button_text');
    $qcld_minimum_accept_price_heading_text =  get_option('qcld_minimum_accept_price_heading_text');
    $qcld_minimum_accept_modal_submit_button_text =  get_option('qcld_minimum_accept_modal_submit_button_text');

    $html = '';
    
    if(!empty($product_id)){

        $html .= '<h5>'.esc_html($qcld_minimum_accept_price_button_text).'</h5>';


        //$image = get_the_post_thumbnail($product_id, 'shop_catalog');
        $image = $product->get_image('shop_catalog');
        if(empty($image)){
            $image = woocommerce_placeholder_img( 'shop_catalog' );
        }
        // product details
        $html .= '<div class="woo-chatbot-product-modal">';
            $html .= '<div class="woo-chatbot-product-modal-img">';
            $html .= $image . '</div>';
            $html .= '<div class="woo-chatbot-product-bargain-modal">';

            if($variation_id){
                $html .= '<h3 class="woo-chatbot-product-title-modal">' . $product->get_formatted_name() . '</h3>';
            }else{
                $html .= '<h3 class="woo-chatbot-product-title-modal">' . esc_html($product->get_title()) . '</h3>';
            }

            $html .= '</div>';
            $html .= '<div class="woo-chatbot-product-price-modal">' . $product->get_price_html() . '</div>';
            
        $html .= '</div>';
        // bargin section
        $html .= '<div class="woo-chatbot-products-bargain-wrap">';
        $html .= '<div class="woo-chatbot-products-bargain-content">';
        $html .= '<h4>'.esc_html($qcld_minimum_accept_price_heading_text).'</h4>';
        $html .= '</div>';
        $html .= '<div  class="woo-chatbot-products-bargain-info">';

        $html .= '<input type="number" name="woo-chatbot-product-bargain-price" class="woo-chatbot-product-bargain-price" placeholder="'.esc_attr(get_woocommerce_currency_symbol()).'">';
        $html .= '<div class="woo-chatbot-product-bargain-msg"></div>';
        if(!empty($variation_id)){
            $html .= '<button type="button" class="woo-chatbot-product-bargain-variation-submit" product-id="'.esc_attr($product_id).'" variation-id="'.esc_attr($variation_id).'">'.esc_html($qcld_minimum_accept_modal_submit_button_text).' </button>';

        }else{

            $html .= '<button type="button" class="woo-chatbot-product-bargain-submit" product-id="'.esc_attr($product_id).'" >'.esc_html($qcld_minimum_accept_modal_submit_button_text).' </button>';
        }
        $html .= '</div>';
        $html .= '</div>';
    
    $html .= '</div>';

    }else{

        $html .= '<div class="woo-chatbot-products-area">';
        $html .= '<p>' . esc_html_e('You have no products', 'woo-minimum-acceptable-price') . ' !';
        $html .= '</div>';
    }
   
    $response = array('html' => $html);
    echo wp_send_json($response);
    //return $html;
    wp_die();

}
}